Bug 653308 - dbus does not work with nss_ldap with SSL
Summary: dbus does not work with nss_ldap with SSL
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: dbus
Version: 14
Hardware: Unspecified
OS: Unspecified
low
medium
Target Milestone: ---
Assignee: David Zeuthen
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-11-15 09:03 UTC by Peter Åstrand
Modified: 2013-03-06 04:05 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-08-16 17:49:59 UTC


Attachments (Terms of Use)

Description Peter Åstrand 2010-11-15 09:03:04 UTC
After upgrading from F11 to F14, dbus no longer works with nss_ldap and SSL. From the system log:

Nov 15 09:56:30 stella dbus-daemon: nss_ldap: failed to bind to LDAP server ldaps://ldap.lkpg.cendio.se/: Can't contact LDAP server
Nov 15 09:56:30 stella dbus-daemon: nss_ldap: could not search LDAP server - Server is unavailable

The LDAP configuration should be correct and everything else on the system works, including "getent passwd", SSH logins, GDM logins, console login, Autofs etc. It's only dbus that doesn't work. 

SELinux is disabled. I've done a strace and no obvious error is seen. 

After changing the LDAP configuration to use unencrypted LDAP, the problems disappears.

Comment 1 Fedora End Of Life 2012-08-16 17:50:02 UTC
This message is a notice that Fedora 14 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 14. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained.  At this time, all open bugs with a Fedora 'version'
of '14' have been closed as WONTFIX.

(Please note: Our normal process is to give advanced warning of this 
occurring, but we forgot to do that. A thousand apologies.)

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, feel free to reopen 
this bug and simply change the 'version' to a later Fedora version.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we were unable to fix it before Fedora 14 reached end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" (top right of this page) and open it against that 
version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping


Note You need to log in before you can comment on or make changes to this bug.